# Defold Druid UI Library

# Module `druid.back_handler`

Component to handle back key (android, backspace)

## Functions

init(callback[, Callback]) | Component init function
on_input(action_id, action) | Input handler for component

## Tables

Events | Component events
Fields | Component fields

## Functions

init(callback[, Callback])
  Component init function

  ### Parameters:

  - callback callback On back button
  - Callback params argument (optional)
on_input(action_id, action)
  Input handler for component

  ### Parameters:

  - action_id string on_input action id
  - action table on_input action

## Tables

Events
  Component events

  ### Fields:

  - on_back druid_event On back handler callback
Fields
  Component fields

  ### Fields:

  - params any Params to click callbacks

generated by LDoc 1.4.6 Last updated 2020-06-14 20:13:02